## Test the connection of a channel (comms:admin)

`POST /api/comms/v1/channels/{id}/test`

Module: Comms · operationId: `testChannel` · Tag: Channels · Auth: access token (`Authorization: Bearer <accessToken>`)

### Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `id` | path | string (uuid) | yes |  |

### Responses

- **200** Result (`application/json`)
- **404** Error (`application/json`)

Fields of the 200 answer:

- `checkedAt` (string (date-time)): Time of the test
- `checks` (array of object): The single checks of the test
  - `message` (string): Detail of the result
  - `name` (string): Name of the check
  - `ok` (boolean): The check passed
- `ok` (boolean): All checks passed

Example 200 answer:

```json
{
  "checkedAt": "2026-11-16T08:12:40Z",
  "checks": [
    {
      "message": "Die Adresse ist erreichbar und öffentlich.",
      "name": "Adresse",
      "ok": true
    },
    {
      "message": "Antwort 202 Accepted in 412 ms.",
      "name": "Testnachricht",
      "ok": true
    }
  ],
  "ok": true
}
```

### Example request

```bash
curl -X POST 'https://api.mbcom.cloud/api/comms/v1/channels/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/test' \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```
